Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.netty.handler.codec.frame
Class Delimiters

    java.lang.Object
      org.jboss.netty.handler.codec.frame.Delimiters

    public class Delimiters

extends Object

A set of commonly used delimiters for `DelimiterBasedFrameDecoder`.

Version:
  $Rev:231 $, $Date:2008-06-12 16:44:50 +0900 (목, 12 6월 2008) $
Author:
  The Netty Project, Trustin Lee

Method Summary
`static ChannelBuffer[]` | `lineDelimiter()` Returns `CR ('\r')` and `LF ('\n')` delimiters, which could be used for text-based line protocols.
`static ChannelBuffer[]` | `nulDelimiter()` Returns a `NUL (0x00)` delimiter, which could be used for Flash XML socket or any similar protocols.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### nulDelimiter

    public static ChannelBuffer[] nulDelimiter()

  Returns a `NUL (0x00)` delimiter, which could be used for Flash XML socket or any similar protocols.

### lineDelimiter

    public static ChannelBuffer[] lineDelimiter()

  Returns `CR ('\r')` and `LF ('\n')` delimiters, which could be used for text-based line protocols.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.